#pragma once
#define MAX_MESSAGE_SIZE 1024

#define SRC_UNKNOWN 0
#define SRC_RFC5424 1
#define SRC_RFC3164 2
#define SRC_KMSG 3
#define SRC_SELF 4

#define PACKET_LIVE 1
#define PACKET_ROW 2
#define PACKET_DONE 3

#define RED   "\x1B[31m"
#define GRN   "\x1B[32m"
#define YEL   "\x1B[33m"
#define BLU   "\x1B[34m"
#define MAG   "\x1B[35m"
#define CYN   "\x1B[36m"
#define GRY   "\x1B[37m"
#define WHT   "\x1B[97m"
#define RESET "\x1B[0m"

#define SEV_EMERG 0
#define SEV_ALERT 1
#define SEV_CRIT 2
#define SEV_ERR 3
#define SEV_WARN 4
#define SEV_NOTICE 5
#define SEV_INFO 6
#define SEV_DEBUG 7

extern const char *severity_name[];
extern const char *facility_name[];

struct logmessage {
		time_t sent;
		int format;
		int sev;
		int fac;
		char msg[MAX_MESSAGE_SIZE * 2];
		char hostname[MAX_MESSAGE_SIZE * 2];
		char app[MAX_MESSAGE_SIZE * 2];
		char procid[MAX_MESSAGE_SIZE * 2];
		char msgid[MAX_MESSAGE_SIZE * 2];
		char fields[MAX_MESSAGE_SIZE * 2];
};